From a23492db624e277317cb577300bafa2f9221fe8f Mon Sep 17 00:00:00 2001
From: Michael Goerz <mail@michaelgoerz.net>
Date: Mon, 2 Dec 2024 09:38:58 -0500
Subject: [PATCH] Fix makefile

---
 CONTRIBUTING.md   | 6 +++---
 common/common.mak | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/CONTRIBUTING.md b/CONTRIBUTING.md
index cfdc86e..9df6ea7 100644
--- a/CONTRIBUTING.md
+++ b/CONTRIBUTING.md
@@ -29,14 +29,14 @@ found in the `tree-sitter-markdown` folder, and one for inline structure, which
 can be found in the `tree-sitter-markdown-inline` folder. Components that are
 parts of either grammar can be found in the `common` folder.
 
-For either of the grammar the most important files are the `grammar.js` which
+For either of the grammar the most important files are the `grammar.json` which
 defines most nodes and the `src/scanner.c` which defines nodes that cannot
 be parsed with normal tree-sitter rules. All other files in the `src` subfolder
 are auto-generated by running `tree-sitter generate`. (You need to install the
 [tree-sitter cli tool][tree-sitter-cli] and [Node.js][nodejs] first.)
 
 Some syntactical components can be enabled or disabled by environment variables
-at compile time. The logic for this can be found in the `common/grammar.js`
+at compile time. The logic for this can be found in the `common/common.js`
 file.
 
 Tests are located in the `test/corpus` subfolder:
@@ -54,7 +54,7 @@ Before submitting any code please check the following:
 
 * You ran `tree-sitter generate` in the `tree-sitter-markdown` or
   `tree-sitter-markdown-inline` directories respectively after modifying any
-  `grammar.js` file.
+  `grammar.json` file.
 * When running `tree-sitter test` only the cases defined in `failing.txt` or
   `extension_<>.txt` for not activated extensions fail for **both** grammars.
 * If you implemented new behavior please add tests. (In most cases these belong
diff --git a/common/common.mak b/common/common.mak
index b59a443..218081b 100644
--- a/common/common.mak
+++ b/common/common.mak
@@ -66,7 +66,7 @@ $(LANGUAGE_NAME).pc: bindings/c/$(LANGUAGE_NAME).pc.in
 		-e 's|@CMAKE_INSTALL_PREFIX@|$(PREFIX)|' \
 		-e 's|@TS_REQUIRES@|$(REQUIRES)|' $< > $@
 
-$(PARSER): $(SRC_DIR)/grammar.js
+$(PARSER): $(SRC_DIR)/grammar.json
 	$(TS) generate $^
 
 install: all
